Package org.eclipse.gef.mvc.fx.providers

## Class TransformProvider

- java.lang.Object
- - org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
  - - org.eclipse.gef.mvc.fx.providers.TransformProvider

All Implemented Interfaces:
  `Provider<javafx.scene.transform.Affine>`, `javax.inject.Provider<javafx.scene.transform.Affine>`, `IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>`

    public class TransformProvider
    extends IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
    implements Provider<javafx.scene.transform.Affine>

The `TransformProvider` can be registered on an `IVisualPart` to insert an `Affine` into its visual's transformations list and access that `Affine`. Per default, this `Affine` is manipulated to relocate or transform an `IVisualPart`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Constructor Summary

Constructors
`TransformProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javafx.scene.transform.Affine` `get()`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransformProvider

    public TransformProvider()

### Method Detail

#### get

    public javafx.scene.transform.Affine get()

Specified by:
  `get` in interface `Provider<javafx.scene.transform.Affine>`
Specified by:
  `get` in interface `javax.inject.Provider<javafx.scene.transform.Affine>`